{
	"format_version": "1.10.0",
	"animation_controllers": {
	  "controller.animation.nicothekid_rat.cursing_transform": {
      "initial_state": "default",
      "states": {
        "default": {
          "transitions": [
            {
              "cursing_transform": "query.is_shaking || query.is_transforming"
            }
          ]
        },
        "cursing_transform": {
          "particle_effects": [
            {
              "effect": "casting_particles",
							"locator": "lead"
            }
          ],
          "transitions": [
            {
              "default": "!query.is_shaking || !query.is_transforming"
            }
          ]
        }
      }
    },
	  "controller.animation.nicothekid_rat.interested": {
			"initial_state": "default",
			"states": {
				"default": {
					"transitions": [
						{
							"interested": "query.is_interested"
						}
					],
					"blend_transition": 0.3
				},
				"interested": {
					"animations": [ "interested" ],
					"transitions": [
						{
							"default": "!query.is_interested"
						}
					],
					"blend_transition": 0.3
				}
			}
		},
		"controller.animation.nicothekid_rat.movement": {
			"initial_state": "default",
			"states": {
				"default": {
					"animations": [
						{
							"walking": "query.modified_move_speed"
						}
					],
					"transitions": [
					  {
							"attack": "variable.attack_time > 0.0"
					  },
						{
							"sitting": "query.is_sitting"
						}
					],
					"blend_transition": 0.3
				},
				"attack": {
					"animations": [ "attack" ],
					"transitions": [
						{
							"default": "variable.attack_time <= 0.0"
						}
					]
				},
				"sitting": {
					"animations": [ "sitting" ],
					"transitions": [
					  {
					    "default": "!query.is_sitting"
					  }
					],
					"blend_transition": 0.5
				}
			}
		}
	}
}